Loading...
Searching...
No Matches
wavelet_ff.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2008,2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_WAVELET_WAVELET_FF_H
#define INCLUDED_WAVELET_WAVELET_FF_H
#include <gnuradio/sync_block.h>
#include <gnuradio/wavelet/api.h>
namespace gr {
namespace wavelet {
/*!
* \brief Compute wavelet transform using gsl routines.
* \ingroup wavelet_blk
*/
class WAVELET_API wavelet_ff : virtual public sync_block
{
public:
// gr::wavelet::wavelet_ff:sptr
typedef std::shared_ptr<wavelet_ff> sptr;
/*!
* \param size
* \param order
* \param forward
*/
static sptr make(int size = 1024, int order = 20, bool forward = true);
};
} /* namespace wavelet */
} /* namespace gr */
#endif /* INCLUDED_WAVELET_WAVELET_FF_H */
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
gr::wavelet::wavelet_ff
Compute wavelet transform using gsl routines.
Definition wavelet_ff.h:25
gr::wavelet::wavelet_ff::make
static sptr make(int size=1024, int order=20, bool forward=true)
gr::wavelet::wavelet_ff::sptr
std::shared_ptr< wavelet_ff > sptr
Definition wavelet_ff.h:28
api.h
WAVELET_API
#define WAVELET_API
Definition gr-wavelet/include/gnuradio/wavelet/api.h:18
gr::wavelet
Definition squash_ff.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h